Credentials

Endpoints for issuing and retrieving credentials

Issue JSON-LD credentials

post

This endpoint issues JSON-LD credentials.

Authorizations
x-api-keystringRequired
Query parameters
timeoutintegerOptional

The timeout for the credential issuance (seconds).

Example: 30
Body
invitation_idnumber · nullableOptional

The invitation ID.

Example: 1
contact_idstring · nullableOptional

The contact ID.

revocation_def_idstring · nullableOptional

The ID of status list definition to enable revocation

proofTypestringOptional

The proofType for the credential issuance

Example: Ed25519Signature2020
rulestringOptional

The rule for the credential issuance.

Example: string
Responses
200

JSON-LD credential issued successfully

application/json
recordobjectOptional
post
/api/v1/credentials/json-ld

Retrieve a JSON-LD credential by ID

get

This endpoint retrieves a JSON-LD credential by its ID using the provided API key.

Authorizations
x-api-keystringRequired
Path parameters
request_idstringRequired

The ID of the credential.

Example: 1
Responses
200

JSON-LD credential retrieved successfully

application/json
recordobjectOptional

The retrieved JSON-LD credential record.

get
/api/v1/credentials/json-ld/{request_id}

Retrieve all credentials

get

This endpoint retrieves all credentials associated with the provided API.

Authorizations
x-api-keystringRequired
Query parameters
sort-fieldstringOptional

The field to sort by (default updated_at).

sort-directionstringOptional

The direction to sort (ASC or DESC, default DESC).

page-sizeintegerOptional

The number of credentials per page (default 20).

current-pageintegerOptional

The current page number (default 1).

item-countintegerOptional

The total number of items.

state-filterstringOptional

If provided, returns only credentials with this state.

contact-idstringOptional

If provided, returns only credentials for this contact_id.

Responses
200

A paginated list of credentials

application/json
rowsobject[]Optional
countintegerOptional
get
/api/v1/credentials

Issue a new AnonCred credential

post

This endpoint allows you to add a new credential request.

Authorizations
x-api-keystringRequired
Query parameters
timeoutintegerOptional

The timeout for the credential issuance (seconds).

Example: 30
Body
invitation_idintegerOptional

The ID of the invitation.

contact_idstringOptional

The ID of the contact.

schema_idstringOptional

The ID of the schema.

rulestringOptional

The rule for the credential issuance.

Responses
200

AnonCred credential issuance record was created

application/json
recordobjectOptional
post
/api/v1/credentials

Retrieve a credential by its credential definition ID

get

This endpoint retrieves a specific credential by its credential exchange ID.

Authorizations
x-api-keystringRequired
Path parameters
credential_exchange_idstringRequired

The credential exchange ID.

Example: 1
Responses
200

A credential object

application/json
credentialobjectOptional
get
/api/v1/credentials/{credential_exchange_id}

Remove PII from a credential

post

This endpoint manually removes PII from a credential record.

Authorizations
x-api-keystringRequired
Path parameters
credential_exchange_idstringRequired

The credential exchange ID.

Example: 02189932-52ac-4f9d-bf84-1fcfb7c67fa1
Responses
200

PII removed successfully

application/json
messagestringOptionalExample: Credential PII removed
post
/api/v1/credentials/{credential_exchange_id}/pii

Retrieve an AnonCred credential record by ID

get

This endpoint retrieves an AnonCred credential record by its ID using the provided API key.

Authorizations
x-api-keystringRequired
Path parameters
request_idstringRequired

The ID of the credential record.

Example: 1
Responses
200

Credential record retrieved successfully

application/json
recordobjectOptional

The retrieved AnonCred credential record.

get
/api/v1/credential-records/{request_id}

Revoke an issued AnonCred credential

post

This endpoint allows you to revoke a credential by providing the connection and credential exchange IDs.

Authorizations
x-api-keystringRequired
Body
connection_idstringOptional

The connection ID associated with the credential.

credential_exchange_idstringOptional

The credential exchange ID of the credential to revoke.

Responses
200

Credential revocation request accepted or already revoked

application/json
successbooleanOptional
messagestringOptional
post
/api/v1/credentials/anoncreds/revoke

Last updated

Was this helpful?